﻿/* Kendo UI Validation as it doesn't use the jquery, but their own validation */
(function ($, kendo) {
    $.extend(true, kendo.ui.validator, {
        rules: { // custom rules
            kendoregularexpressionhack: function (input, params) {
                //check for the rule attribute 
                if (input.filter("[data-val-kendoregularexpressionhack]").length) {
                    //get serialized params 
                    var inputValue = input.val();
                    var regularExpression = input.data("val-kendoregularexpressionhack-regex");

                    // if there are double slashs remove the one slash
                    regularExpression = regularExpression.replace(/\\\\/g, "\\");

                    // Create a regular expression object to do the test against
                    var patt = new RegExp(regularExpression);
                    return patt.test(inputValue);
                }
                return true;
            },
        },
        messages: { //custom rules messages
            kendoregularexpressionhack: function (input) {
                // return the message text
                return input.attr("data-val-kendoregularexpressionhack");
            }
        }
    });
})(jQuery, kendo);
